Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063819 - CVE-2013-6401 jansson: hash table collisions CPU usage DoS [epel-6]
Summary: CVE-2013-6401 jansson: hash table collisions CPU usage DoS [epel-6]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: jansson
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Pirko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 13:32 UTC by Murray McAllister
Modified: 2015-01-04 22:38 UTC (History)
4 users (show)

Fixed In Version: jansson-2.6-1.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-04 19:30:58 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-02-11 13:32:47 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

epel-6 tracking bug for jansson: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-02-11 13:32:57 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1035538,1063819

Comment 2 Fedora Update System 2014-02-13 22:57:06 UTC
jansson-2.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/jansson-2.6-1.el6

Comment 3 Jared Smith 2014-02-13 23:05:18 UTC
I've updated the package in EPEL to 2.6 (as backporting the patch to 2.5 was beyond my skillset, and this patch was the main reason for the 2.6 release), and have filed a Bohdi update.  If you're so inclined, please test the package (once it gets into the testing repo) and give it karma.

Comment 4 Fedora Update System 2014-02-16 11:22:57 UTC
Package jansson-2.6-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing jansson-2.6-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0565/jansson-2.6-1.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-03-04 19:30:58 UTC
jansson-2.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.